## YelpSettings YelpSettings |

## Functions

YelpSettings * | yelp_settings_get_default ()
gchar * | yelp_settings_get_color ()
gchar ** | yelp_settings_get_colors ()
void | yelp_settings_set_colors ()
const gchar * | yelp_settings_get_color_param ()
gchar * | yelp_settings_get_font ()
gchar * | yelp_settings_get_font_family ()
gint | yelp_settings_get_font_size ()
void | yelp_settings_set_fonts ()
gint | yelp_settings_get_font_adjustment ()
void | yelp_settings_set_font_adjustment ()
gint | yelp_settings_get_icon_size ()
void | yelp_settings_set_icon_size ()
gchar * | yelp_settings_get_icon ()
void | yelp_settings_set_icons ()
const gchar * | yelp_settings_get_icon_param ()
gchar ** | yelp_settings_get_all_params ()
gboolean | yelp_settings_get_show_text_cursor ()
void | yelp_settings_set_show_text_cursor ()
gboolean | yelp_settings_get_editor_mode ()
void | yelp_settings_set_editor_mode ()
gint | yelp_settings_cmp_icons ()

## Types and Values

struct | YelpSettings
struct | YelpSettingsClass
enum | YelpSettingsColor
enum | YelpSettingsFont
enum | YelpSettingsIcon
| YelpSettingsPriv

## Object Hierarchy

        GObject
        ╰── YelpSettings

## Description

## Functions

### yelp_settings_get_default ()

    YelpSettings *
    yelp_settings_get_default (void);

### yelp_settings_get_color ()

    gchar *
    yelp_settings_get_color (YelpSettings *settings,
                             YelpSettingsColor color);

### yelp_settings_get_colors ()

    gchar **
    yelp_settings_get_colors (YelpSettings *settings);

### yelp_settings_set_colors ()

    void
    yelp_settings_set_colors (YelpSettings *settings,
                              YelpSettingsColor first_color,
                              ...);

### yelp_settings_get_color_param ()

    const gchar *
    yelp_settings_get_color_param (YelpSettingsColor color);

### yelp_settings_get_font ()

    gchar *
    yelp_settings_get_font (YelpSettings *settings,
                            YelpSettingsFont font);

### yelp_settings_get_font_family ()

    gchar *
    yelp_settings_get_font_family (YelpSettings *settings,
                                   YelpSettingsFont font);

### yelp_settings_get_font_size ()

    gint
    yelp_settings_get_font_size (YelpSettings *settings,
                                 YelpSettingsFont font);

### yelp_settings_set_fonts ()

    void
    yelp_settings_set_fonts (YelpSettings *settings,
                             YelpSettingsFont first_font,
                             ...);

### yelp_settings_get_font_adjustment ()

    gint
    yelp_settings_get_font_adjustment (YelpSettings *settings);

### yelp_settings_set_font_adjustment ()

    void
    yelp_settings_set_font_adjustment (YelpSettings *settings,
                                       gint adjustment);

### yelp_settings_get_icon_size ()

    gint
    yelp_settings_get_icon_size (YelpSettings *settings);

### yelp_settings_set_icon_size ()

    void
    yelp_settings_set_icon_size (YelpSettings *settings,
                                 gint size);

### yelp_settings_get_icon ()

    gchar *
    yelp_settings_get_icon (YelpSettings *settings,
                            YelpSettingsIcon icon);

### yelp_settings_set_icons ()

    void
    yelp_settings_set_icons (YelpSettings *settings,
                             YelpSettingsIcon first_icon,
                             ...);

### yelp_settings_get_icon_param ()

    const gchar *
    yelp_settings_get_icon_param (YelpSettingsIcon icon);

### yelp_settings_get_all_params ()

    gchar **
    yelp_settings_get_all_params (YelpSettings *settings,
                                  gint extra,
                                  gint *end);

### yelp_settings_get_show_text_cursor ()

    gboolean
    yelp_settings_get_show_text_cursor (YelpSettings *settings);

### yelp_settings_set_show_text_cursor ()

    void
    yelp_settings_set_show_text_cursor (YelpSettings *settings,
                                        gboolean show);

### yelp_settings_get_editor_mode ()

    gboolean
    yelp_settings_get_editor_mode (YelpSettings *settings);

### yelp_settings_set_editor_mode ()

    void
    yelp_settings_set_editor_mode (YelpSettings *settings,
                                   gboolean editor_mode);

### yelp_settings_cmp_icons ()

    gint
    yelp_settings_cmp_icons (const gchar *icon1,
                             const gchar *icon2);

## Types and Values

### struct YelpSettings

    struct YelpSettings;

### struct YelpSettingsClass

    struct YelpSettingsClass {
        GObjectClass      parent_class;
    };

### enum YelpSettingsColor

#### Members

YELP_SETTINGS_COLOR_BASE |  |
YELP_SETTINGS_COLOR_TEXT |  |
YELP_SETTINGS_COLOR_TEXT_LIGHT |  |
YELP_SETTINGS_COLOR_LINK |  |
YELP_SETTINGS_COLOR_LINK_VISITED |  |
YELP_SETTINGS_COLOR_GRAY_BASE |  |
YELP_SETTINGS_COLOR_DARK_BASE |  |
YELP_SETTINGS_COLOR_GRAY_BORDER |  |
YELP_SETTINGS_COLOR_BLUE_BASE |  |
YELP_SETTINGS_COLOR_BLUE_BORDER |  |
YELP_SETTINGS_COLOR_RED_BASE |  |
YELP_SETTINGS_COLOR_RED_BORDER |  |
YELP_SETTINGS_COLOR_YELLOW_BASE |  |
YELP_SETTINGS_COLOR_YELLOW_BORDER |  |
YELP_SETTINGS_NUM_COLORS |  |

### enum YelpSettingsFont

#### Members

YELP_SETTINGS_FONT_VARIABLE |  |
YELP_SETTINGS_FONT_FIXED |  |
YELP_SETTINGS_NUM_FONTS |  |

### enum YelpSettingsIcon

#### Members

YELP_SETTINGS_ICON_BUG |  |
YELP_SETTINGS_ICON_IMPORTANT |  |
YELP_SETTINGS_ICON_NOTE |  |
YELP_SETTINGS_ICON_TIP |  |
YELP_SETTINGS_ICON_WARNING |  |
YELP_SETTINGS_NUM_ICONS |  |

### YelpSettingsPriv

    typedef struct _YelpSettingsPriv YelpSettingsPriv;